OpenStack Compute (Nova)

OSAPI rebuild fails when using image HREF

Reported by Dan Prince on 2011-10-25
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Mark Washenberger

Bug Description

I'm getting the following errors when trying to rebuild servers using an image HREF:

2011-10-25 15:28:47,429 DEBUG nova.virt.xenapi.vmops [-] Instance 5 failed to spawn - performing clean-up from (pid=9007) spawn /usr/lib/python2.6/dist-packages/nova/virt/xenapi/vmops.py:216
2011-10-25 15:28:47,429 DEBUG nova.virt.xenapi.vmops [-] Resources to remove:[] from (pid=9007) _handle_spawn_error /usr/lib/python2.6/dist-packages/nova/virt/xenapi/vmops.py:483
2011-10-25 15:28:47,492 ERROR nova.rpc [-] Exception during message handling
(nova.rpc): TRACE: Traceback (most recent call last):
(nova.rpc): TRACE: File "/usr/lib/python2.6/dist-packages/nova/rpc/impl_kombu.py", line 620, in _process_data
(nova.rpc): TRACE: rval = node_func(context=ctxt, **node_args)
(nova.rpc): TRACE: File "/usr/lib/python2.6/dist-packages/nova/exception.py", line 113, in wrapped
(nova.rpc): TRACE: return f(*args, **kw)
(nova.rpc): TRACE: File "/usr/lib/python2.6/dist-packages/nova/compute/manager.py", line 120, in decorated_function
(nova.rpc): TRACE: function(self, context, instance_id, *args, **kwargs)
(nova.rpc): TRACE: File "/usr/lib/python2.6/dist-packages/nova/compute/manager.py", line 655, in rebuild_instance
(nova.rpc): TRACE: self.driver.spawn(context, instance_ref, network_info, bd_mapping)
(nova.rpc): TRACE: File "/usr/lib/python2.6/dist-packages/nova/virt/xenapi_conn.py", line 193, in spawn
(nova.rpc): TRACE: self._vmops.spawn(context, instance, network_info)
(nova.rpc): TRACE: File "/usr/lib/python2.6/dist-packages/nova/virt/xenapi/vmops.py", line 218, in spawn
(nova.rpc): TRACE: raise spawn_error
(nova.rpc): TRACE: Failure: ['XENAPI_PLUGIN_EXCEPTION', 'download_vhd', 'Exception', "Image 'http://glance1:9292/v1/images/2' not found in Glance"]

My rebuild request looks like this:

{
"rebuild" : {
"name" : "blah",
"imageRef" : "http://glance1:9292/v1/images/2",
"personality" : [
        {
        "path" : "/root/.ssh/config",
        "contents" : "U3RyaWN0SG9zdEtleUNoZWNraW5nIG5v"
        }
  ]
}
}

Changing imageRef to an ID is a work around for this issue.

Dan Prince (dan-prince) on 2011-10-25
Changed in nova:
assignee: nobody → Dan Prince (dan-prince)
status: New → In Progress
Thierry Carrez (ttx) on 2011-11-08
Changed in nova:
importance: Undecided → Medium
Dan Prince (dan-prince) on 2012-01-08
Changed in nova:
status: In Progress → Triaged
Dan Prince (dan-prince) on 2012-03-05
Changed in nova:
assignee: Dan Prince (dan-prince) → Mark Washenberger (markwash)
status: Triaged → In Progress

Reviewed: https://review.openstack.org/4936
Committed: http://github.com/openstack/nova/commit/86bf2276d9adf2365e46a880d7ec4a276780d3ed
Submitter: Jenkins
Branch: master

commit 86bf2276d9adf2365e46a880d7ec4a276780d3ed
Author: Mark Washenberger <email address hidden>
Date: Mon Mar 5 16:48:18 2012 -0500

    Only pass image uuids to compute api rebuild

    Addresses bug 881641

    Change-Id: I9c0270d5ceb126387a0052c83937ae778d1f49cb

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-03-20
Changed in nova:
milestone: none → essex-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-rc1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers